# ComponentWithRuntimeUsage

interface ComponentWithRuntimeUsage : ComponentWithNativeRuntime

Represents a native component whose runtime file and dependencies are published for consumption by some other project.

#### Since

4.5

#### Inheritors

SwiftSharedLibrary
SwiftStaticLibrary
CppSharedLibrary
CppExecutable
CppStaticLibrary

## Functions

getBaseName
Link copied to clipboard
abstract fun getBaseName(): Provider<String>
getName
Link copied to clipboard
abstract fun getName(): String
getRuntimeElements
Link copied to clipboard
abstract fun getRuntimeElements(): Provider<Configuration>
Returns the outgoing runtime elements of this component.
getTargetMachine
Link copied to clipboard
abstract fun getTargetMachine(): TargetMachine
getToolChain
Link copied to clipboard
abstract fun getToolChain(): NativeToolChain
isDebuggable
Link copied to clipboard
abstract fun isDebuggable(): Boolean
isOptimized
Link copied to clipboard
abstract fun isOptimized(): Boolean